# Emacs basic configuration

This is a basic configuration guide to setup Emacs for LaTeX projects. To work along this tutorial please be suro to have installed a minimal LaTeX installation.

## Emacs
![](https://flaviocopes.com/linux-command-emacs/Screenshot%202019-02-10%20at%2012.14.18.png)

According with Wikipedia, GNU Emacs is a free software text editor. It was created by GNU Project founder Richard Stallman. In common with other varieties of Emacs, GNU Emacs is extensible using a Turing complete programming language. GNU Emacs has been called "the most powerful text editor available today". GNU Emacs is sometimes abbreviated as GNUMACS, especially to differentiate it from other EMACS variants. The tag line for GNU Emacs is "the extensible self-documenting text editor".

We are going to use GNU Emacs and configure it with Vanilla flavoured style theme.


## Controlling your emacs configuration

In order to control your changes into the emacs configuration file, it is recommended to make a symbolic link to this repository. Thus, let us first clone this repository and create a symbolic link by using:

```
$ git clone http://gmarxcc.com:8088/mcie-rs101/emacs-configuration.git
$ cd emacs-configuration
$ ln -s /home/user-name/folder/of/emacs-configuration/.emacs /home/user/.emacs 
```

by doing this, we are going to link both files and register any modification.

## First run your configuration
When you run at first time Emacs, we have to check that configuration is Ok, and run some scripts to finish the configuration.

Then, the first time starting Emacs will take come time to install all the requiered packages. Then, most propably some warnings about the fonts and icons will appear, close emacs and open it again.

Then, press `M-x` and type `all-the-icons-install-fonts`, after its execution close and open agian emacs. 